(defun make-error-num ()
  (interactive)
  (let ((prefix-form "\"!!%s ")
	(num 1))
    (goto-char (point-min))
    (while (re-search-forward
	    (format prefix-form "\\([^\r\n\t ]*\\)")
	    nil t)
      (goto-char (match-end 0))
      (delete-region (match-beginning 0) (point))
      (insert (format prefix-form
		      (format "[%02d]" num)))
      (setq num (1+ num))))
  (message (if (buffer-modified-p)
	       "Now save this buffer and byte-compile it"
	     "(No changes need to be saved)")))
